Commit b459b2ee authored by David Haynes's avatar David Haynes 🙆

Yarn upgrade & add back fonts task

- you _do_ need to move the fonts
parent 6da617f8
......@@ -15,6 +15,17 @@ const minify = require('gulp-minify');
// Reusable directories
const src = './src'
const dest = './build'
const all_js = ['./node_modules/jquery/dist/jquery.min.js',
'./node_modules/bootstrap/dist/js/bootstrap.bundle.min.js',
src + '/js/*.js'];
// Move fonts to build/fonts
gulp.task('fonts', () => {
let fa = gulp.src('./node_modules/@fortawesome/fontawesome-free-webfonts/webfonts/*.woff2')
.pipe(gulp.dest(dest + '/fonts/'))
return merge(fa).pipe(connect.reload())
});
// Move html to build/html
gulp.task('html', () => gulp.src(src + '/html/*.html')
......@@ -30,7 +41,7 @@ gulp.task('img', () => gulp.src(src + '/img/*')
);
// Build masonstrap.min.js
gulp.task('js', () => gulp.src(['./node_modules/jquery/dist/jquery.min.js', './node_modules/bootstrap/dist/js/bootstrap.bundle.min.js', src + '/js/*.js'])
gulp.task('js', () => gulp.src(all_js)
.pipe(concat('masonstrap.js'))
.pipe(minify({ext: ".min.js"}))
.pipe(gulp.dest(dest + '/js/'))
......@@ -67,7 +78,7 @@ gulp.task('http', () => {
});
// Run all tasks
gulp.task('build', ['sass', 'html', 'img', 'js']);
gulp.task('build', ['sass', 'html', 'img', 'js', 'fonts']);
// By default, run all tasks and then rebuild on changes
gulp.task('default', ['http', 'build', 'watch']);
\ No newline at end of file
......@@ -70,8 +70,8 @@ accepts@~1.3.0:
negotiator "0.6.1"
acorn@5.X, acorn@^5.0.3:
version "5.3.0"
resolved "https://registry.yarnpkg.com/acorn/-/acorn-5.3.0.tgz#7446d39459c54fb49a80e6ee6478149b940ec822"
version "5.4.1"
resolved "https://registry.yarnpkg.com/acorn/-/acorn-5.4.1.tgz#fdc58d9d17f4a4e98d102ded826a9b9759125102"
ajv@^5.1.0:
version "5.5.2"
......@@ -1151,8 +1151,8 @@ ee-first@1.1.1:
resolved "https://registry.yarnpkg.com/ee-first/-/ee-first-1.1.1.tgz#590c61156b0ae2f4f0255732a158b266bc56b21d"
electron-to-chromium@^1.3.30:
version "1.3.31"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.3.31.tgz#00d832cba9fe2358652b0c48a8816c8e3a037e9f"
version "1.3.32"
resolved "https://registry.yarnpkg.com/electron-to-chromium/-/electron-to-chromium-1.3.32.tgz#11d0684c0840e003c4be8928f8ac5f35dbc2b4e6"
end-of-stream@^1.0.0:
version "1.4.1"
......@@ -2147,8 +2147,8 @@ http-errors@~1.3.1:
statuses "1"
http-parser-js@>=0.4.0:
version "0.4.9"
resolved "https://registry.yarnpkg.com/http-parser-js/-/http-parser-js-0.4.9.tgz#ea1a04fb64adff0242e9974f297dd4c3cad271e1"
version "0.4.10"
resolved "https://registry.yarnpkg.com/http-parser-js/-/http-parser-js-0.4.10.tgz#92c9c1374c35085f75db359ec56cc257cbb93fa4"
http-signature@~1.1.0:
version "1.1.1"
......@@ -2562,8 +2562,8 @@ jquery@^3.2.1:
resolved "https://registry.yarnpkg.com/jquery/-/jquery-3.3.1.tgz#958ce29e81c9790f31be7792df5d4d95fc57fbca"
js-base64@^2.1.8:
version "2.4.2"
resolved "https://registry.yarnpkg.com/js-base64/-/js-base64-2.4.2.tgz#1896da010ef8862f385d8887648e9b6dc4a7a2e9"
version "2.4.3"
resolved "https://registry.yarnpkg.com/js-base64/-/js-base64-2.4.3.tgz#2e545ec2b0f2957f41356510205214e98fad6582"
js-yaml@^3.4.3:
version "3.10.0"
......@@ -2884,8 +2884,8 @@ lodash.values@~2.4.1:
lodash.keys "~2.4.1"
lodash@^4.0.0, lodash@^4.13.1, lodash@~4.17.4:
version "4.17.4"
resolved "https://registry.yarnpkg.com/lodash/-/lodash-4.17.4.tgz#78203a4d1c328ae1d86dca6460e369b57f4055ae"
version "4.17.5"
resolved "https://registry.yarnpkg.com/lodash/-/lodash-4.17.5.tgz#99a92d65c0272debe8c96b6057bc8fbfa3bed511"
lodash@~1.0.1:
version "1.0.2"
......@@ -3601,8 +3601,8 @@ postcss-value-parser@^3.2.3:
resolved "https://registry.yarnpkg.com/postcss-value-parser/-/postcss-value-parser-3.3.0.tgz#87f38f9f18f774a4ab4c8a232f5c5ce8872a9d15"
postcss@^6.0.0, postcss@^6.0.16:
version "6.0.16"
resolved "https://registry.yarnpkg.com/postcss/-/postcss-6.0.16.tgz#112e2fe2a6d2109be0957687243170ea5589e146"
version "6.0.17"
resolved "https://registry.yarnpkg.com/postcss/-/postcss-6.0.17.tgz#e259a051ca513f81e9afd0c21f7f82eda50c65c5"
dependencies:
chalk "^2.3.0"
source-map "^0.6.1"
......@@ -3684,8 +3684,8 @@ raw-body@~2.1.2, raw-body@~2.1.5:
unpipe "1.0.0"
rc@^1.1.2:
version "1.2.4"
resolved "https://registry.yarnpkg.com/rc/-/rc-1.2.4.tgz#a0f606caae2a3b862bbd0ef85482c0125b315fa3"
version "1.2.5"
resolved "https://registry.yarnpkg.com/rc/-/rc-1.2.5.tgz#275cd687f6e3b36cc756baa26dfee80a790301fd"
dependencies:
deep-extend "~0.4.0"
ini "~1.3.0"
......@@ -4557,15 +4557,15 @@ typedarray@^0.0.6:
resolved "https://registry.yarnpkg.com/typedarray/-/typedarray-0.0.6.tgz#867ac74e3864187b1d3d47d996a78ec5c8830777"
uglify-es@^3.0.3:
version "3.3.8"
resolved "https://registry.yarnpkg.com/uglify-es/-/uglify-es-3.3.8.tgz#f2c68e6cff0d0f9dc9577e4da207151c2e753b7e"
version "3.3.9"
resolved "https://registry.yarnpkg.com/uglify-es/-/uglify-es-3.3.9.tgz#0c1c4f0700bed8dbc124cdb304d2592ca203e677"
dependencies:
commander "~2.13.0"
source-map "~0.6.1"
uglify-js@^3.0.5:
version "3.3.8"
resolved "https://registry.yarnpkg.com/uglify-js/-/uglify-js-3.3.8.tgz#51e9a5db73afb53ac98603d08224edcd0be45fd8"
version "3.3.9"
resolved "https://registry.yarnpkg.com/uglify-js/-/uglify-js-3.3.9.tgz#33869666c8ab7f7658ce3d22f0f1ced40097d33a"
dependencies:
commander "~2.13.0"
source-map "~0.6.1"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment